The Omni Group
These forums are now read-only. Please visit our new forums to participate in discussion. A new account will be required to post in the new forums. For more info on the switch, see this post. Thank you!

Go Back   The Omni Group Forums > OmniFocus > OmniFocus Extras
FAQ Members List Calendar Search Today's Posts Mark Forums Read

 
OF iPhone HTML Export Script Thread Tools Search this Thread Display Modes
Martin, I am finally downloading the Developer Tools to see if I can make it work. I am fainlly in production mode with OF, so it's about time.

Do I need all the tools intalled? Is there a way around it? I ask because it's quite a bit of data and I have some constraints with space right now.

Thanks a lot. Martin.
 
Quote:
Originally Posted by Tinchohs View Post
Martin, I am finally downloading the Developer Tools to see if I can make it work. I am fainlly in production mode with OF, so it's about time.

Do I need all the tools intalled? Is there a way around it? I ask because it's quite a bit of data and I have some constraints with space right now.

Thanks a lot. Martin.
If you're on Leopard then the Developer Tools (I think you need the standard install but you can skip the documentation if you're low on space) should be enough (together with the ruby gems)

You just need the dev tools to compile the Appscript-gem used in the script actually, you don't need the dev tools (afaik) to actually run the script. So you might be able to uninstall the dev tools after you have installed the gems. But I'm not really sure.
 
I will give it a try to uninstall afterwards. Thanks.
 
Finally it works... This is awesome. Way too cool! This - to me - it increases the value of OF 100 fold. Thanks Martin. It's really cool app.

BTW, which is the criteria that defines which to dos get synched?

Thanks again!
 
thanks, glad you like it!
It will sync all available tasks from every context (which have any tasks).

Ciao
 
Hello all, when I tried to run sudo gem install markaby I get this error
developer tools installed and rubygems installed using macports, any idea? Many thanks

/opt/local/lib/ruby/vendor_ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require': no such file to load -- sources (LoadError)
from /opt/local/lib/ruby/vendor_ruby/1.8/rubygems/custom_require.rb:27:in `require'
from /opt/local/lib/ruby/vendor_ruby/1.8/rubygems/source_info_cache.rb:6
from /opt/local/lib/ruby/vendor_ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require'
from /opt/local/lib/ruby/vendor_ruby/1.8/rubygems/custom_require.rb:27:in `require'
from /opt/local/lib/ruby/vendor_ruby/1.8/rubygems/remote_installer.rb:12
from /opt/local/lib/ruby/vendor_ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require'
from /opt/local/lib/ruby/vendor_ruby/1.8/rubygems/custom_require.rb:27:in `require'
from /opt/local/lib/ruby/vendor_ruby/1.8/rubygems.rb:112:in `manage_gems'
from /opt/local/bin/gem:10
 
haraldmartin,

Thanks for the cool script, this is exactly what I needed except for one small thing. I often clip URLs so they appear as links under a Task's Note.

Unfortunately your script doesn't create hyperlinks for URLs in Notes, so I decided to hack up your script to do just that.

The modified rb file is here: OFfline.rb

Note for anyone who wants to use this, you need to replace the original OFfline.rb file from haraldmartin's package with this one.
 
Quote:
Originally Posted by manung View Post
haraldmartin,

Thanks for the cool script, this is exactly what I needed except for one small thing. I often clip URLs so they appear as links under a Task's Note.

Unfortunately your script doesn't create hyperlinks for URLs in Notes, so I decided to hack up your script to do just that.

The modified rb file is here: OFfline.rb

Note for anyone who wants to use this, you need to replace the original OFfline.rb file from haraldmartin's package with this one.
Great!
I've updated my version to include your fix. Many thanks!
 
Quote:
Originally Posted by haraldmartin View Post
I think you have to have Apple's Developer Tools installed. They're free on your OS X install disk and/or downloadable from developer.apple.com

Ciao
Martin
Hi martin, I'm running Leopard and installed Xcode Tools via my install CD. More specifically chosen Optional Installs/Xcode Tools.mpkg and selected standard install. I still faced the below error when installing the second gem. Any insights into this? Your help will be greatly appreciated.

ERROR: While executing gem ... (Gem::Installer::ExtensionBuildError)
ERROR: Failed to build gem native extension.

ruby extconf.rb install rb-appscript
can't find header files for ruby.


Gem files will remain installed in /Library/Ruby/Gems/1.8/gems/rb-appscript-0.4.0 for inspection.
Results logged to /Library/Ruby/Gems/1.8/gems/rb-appscript-0.4.0/gem_make.out
 
Quote:
Originally Posted by haraldmartin View Post
Did you symlink /usr/bin/ruby to the new, updated version (in /opt/local if you installed via mac ports)?

try this:
which version?
/usr/bin/ruby -v
/opt/local/bin/ruby -v


If the version living in /usr isn't the newest but the version built into Tiger (1.8.2 I believe) you should be able to fix this by linking the version in /usr/bin to the mac ports version:

sudo mv /usr/bin/ruby /usr/bin/ruby~
sudo ln -nfs /opt/local/bin/ruby /usr/bin/ruby


This should fix Rubygems as well if you installed them via Mac Ports.

You can try to run the from the ruby living in /opt:
/opt/local/bin/ruby ~/Desktop/OFfline/OFfline.rb

(change to match your real path of course). Does it work?

Please backup everything before etc so nothing is damaged.
I may have ruined my ruby installation. In terminal I ran the command:

Ruby -v

and it returned a version number. But it still would not install the applescript Gem.

Then, as suggested above I ran the commands:

sudo mv /usr/bin/ruby /usr/bin/ruby~
sudo ln -nfs /opt/local/bin/ruby /usr/bin/ruby

Now when I run the version command I get:

ruby: command not found.

I'm a complete novice at this kind of hacking. Can anyone please help restore my ruby install? I already have the developer tools installed.

Thank you in advance for your help.
 
 


Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes


Similar Threads
Thread Thread Starter Forum Replies Last Post
.html extension on dynamic html export pairustwo OmniOutliner 3 for Mac 3 2011-09-10 01:53 PM
script to export OOO to html and place on iDisk rhythmone OmniOutliner 3 for Mac 1 2008-08-27 06:32 AM
Export to HTML - What am I doing wrong? lsamberg OmniPlan General 3 2008-05-21 06:15 AM
OF iPhone HTML Export Script wkoffel OmniFocus 1 for Mac 0 2007-10-11 08:22 PM


All times are GMT -8. The time now is 04:19 AM.


Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2019, vBulletin Solutions, Inc.